Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionUnion2

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--ru.biosoft.access.DataCollectionUnion2

public class DataCollectionUnion2
extends VectorDataCollection
implements CollectionUnion, DataCollectionListener

todo HIGH Comment

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Constructor Summary
`DataCollectionUnion2(DataCollection dc, Properties properties)`
`DataCollectionUnion2(DataCollection[] collections, Properties properties)`

Method Summary
`void` | `addCollection(DataCollection child)`
`void` | `close()`
`void` | `elementAdded(DataCollectionEvent event)`
`void` | `elementChanged(DataCollectionEvent event)`
`void` | `elementRemoved(DataCollectionEvent event)`
`void` | `elementWillAdd(DataCollectionEvent event)`
`void` | `elementWillChange(DataCollectionEvent event)`
`void` | `elementWillRemove(DataCollectionEvent event)`
`DataElement` | `get(String name)`
`DataElement` | `put(DataElement de)`
`void` | `removeCollection(String name)`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`getAt, getNameList, getSize, iterator, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, getCompleteName, getDataElementType, getDescription, getInfo, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### DataCollectionUnion2

    public DataCollectionUnion2(DataCollection dc, Properties properties)
                           throws java.lang.Exception

  todo Comment

### DataCollectionUnion2

    public DataCollectionUnion2(DataCollection[] collections, Properties properties)

Method Detail

### addCollection

    public void addCollection(DataCollection child)

### close

    public void close()
                throws java.lang.Exception

### elementAdded

    public void elementAdded(DataCollectionEvent event)
                       throws java.lang.Exception

### elementChanged

    public void elementChanged(DataCollectionEvent event)
                         throws java.lang.Exception

### elementRemoved

    public void elementRemoved(DataCollectionEvent event)
                         throws java.lang.Exception

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent event)
                         throws DataCollectionVetoException,
                                java.lang.Exception

### elementWillChange

    public void elementWillChange(DataCollectionEvent event)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent event)
                            throws DataCollectionVetoException,
                                   java.lang.Exception

### get

    public DataElement get(String name)
                     throws java.lang.Exception

### put

    public DataElement put(DataElement de)

### removeCollection

    public void removeCollection(String name)

Association Links

to Class java.util.ArrayList

to Class java.lang.String

to Class ru.biosoft.access.DataElementRef

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM